#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# SpriteSheetLoader Class

Uses

- EventTarget

Defined in: `src/pixi/loaders/SpriteSheetLoader.js:5`
Module: PIXI

The sprite sheet loader is used to load in JSON sprite sheet data To generate the data you can use http://www.codeandweb.com/texturepacker and publish in the 'JSON' format There is a free version so thats nice, although the paid version is great value for money. It is highly recommended to use Sprite sheets (also know as a 'texture atlas') as it means sprites can be batched and drawn together for highly increased rendering speed. Once the data has been loaded the frames are stored in the PIXI texture cache and can be accessed though PIXI.Texture.fromFrameId() and PIXI.Sprite.fromFrameId() This loader will load the image file that the Spritesheet points to as well as the data. When loaded this class will dispatch a 'loaded' event

## Constructor

### `SpriteSheetLoader`

(

- `url`
- `crossorigin`

)

Defined in `src/pixi/loaders/SpriteSheetLoader.js:5`

#### Parameters:

- `url` String

  The url of the sprite sheet JSON file

- `crossorigin` Boolean

  Whether requests should be treated as crossorigin

- Index
- Methods
- Properties

## Item Index

### Methods

- addEventListener
- dispatchEvent
- load
- onLoaded
- removeAllEventListeners
- removeEventListener

### Properties

- baseUrl
- crossorigin
- frames
- listeners
- texture
- url

## Methods

### `addEventListener`

(

- `type`
- `listener`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:32`

Adds a listener for a specific event

#### Parameters:

- `type` String

  A string representing the event type to listen for.

- `listener` Function

  The callback function that will be fired when the event occurs

### `dispatchEvent`

(

- `event`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:55`

Fires the event, ie pretends that the event has happened

#### Parameters:

- `event` Event

  the event object

### `load`

()

Defined in `src/pixi/loaders/SpriteSheetLoader.js:73`

This will begin loading the JSON file

### `onLoaded`

() private

Defined in `src/pixi/loaders/SpriteSheetLoader.js:88`

Invoke when all files are loaded (json and texture)

### `removeAllEventListeners`

(

- `type`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:101`

Removes all the listeners that were active for the specified event type

#### Parameters:

- `type` String

  A string representing the event type which will have all its listeners removed

### `removeEventListener`

(

- `type`
- `listener`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:80`

Removes the specified listener that was assigned to the specified event type

#### Parameters:

- `type` String

  A string representing the event type which will have its listener removed

- `listener` Function

  The callback function that was be fired when the event occured

## Properties

### `baseUrl`

String

Defined in `src/pixi/loaders/SpriteSheetLoader.js:44`

[read-only] The base url of the bitmap font data

### `crossorigin`

Boolean

Defined in `src/pixi/loaders/SpriteSheetLoader.js:36`

Whether the requests should be treated as cross origin

### `frames`

Object

Defined in `src/pixi/loaders/SpriteSheetLoader.js:61`

The frames of the sprite sheet

### `listeners`

Object

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:24`

Holds all the listeners

### `texture`

Texture

Defined in `src/pixi/loaders/SpriteSheetLoader.js:53`

The texture being loaded

### `url`

String

Defined in `src/pixi/loaders/SpriteSheetLoader.js:28`

The url of the bitmap font data